Skip to main content
`Ctrl`+`K`

# TSGetSNESFailures

Gets the total number of failed `SNES` solves in a `TS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetSNESFailures(TS ts, PetscInt *fails)

Not Collective

## Input Parameter

- ts - `TS` context

## Output Parameter

- fails - number of failed nonlinear solves

## Note

This counter is reset to zero for each successive call to `TSSolve()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSGetSNESIterations()`, `TSGetKSPIterations()`, `TSSetMaxStepRejections()`, `TSGetStepRejections()`, `TSSetMaxSNESFailures()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex8.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages